Get booking details

Returns one event booking by ID, including customer and billing details, status, tax breakdown, the purchased tickets, and refund history when present.

GET/v1/bookings/:bookingId

Authorization

api_key_auth
AuthorizationBearer <token>

API key authentication. Use "Bearer YOUR_API_KEY" format.

In: header

Path Parameters

bookingId*string

The ID of the booking to retrieve. Use the list bookings endpoint first if you need to discover a booking ID by email, name, customer, event, or date range.

Match^[0-9a-fA-F]{24}$

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.checkoutpage.com/v1/bookings/:bookingId"
{
  "data": {
    "id": "string",
    "status": "created",
    "orderId": "string",
    "orderStatus": "active",
    "customerEmail": "string",
    "customerName": "string",
    "customerId": "string",
    "sellerId": "string",
    "pageId": "string",
    "pageSlug": "string",
    "clientIp": "string",
    "currency": "string",
    "amount": 0,
    "amountPaid": 0,
    "amountDue": 0,
    "amountRefunded": 0,
    "amountUsd": 0,
    "amountExcludingTax": 0,
    "taxAmount": 0,
    "taxBreakdown": [
      {
        "taxType": "string",
        "taxabilityReason": "string",
        "taxableAmount": 0,
        "taxAmount": 0,
        "taxRateDetails": {
          "country": "string",
          "percentageDecimal": 0,
          "state": "string",
          "taxType": "string"
        }
      }
    ],
    "taxSource": "fixed_tax_rate",
    "taxRates": [
      {
        "taxRate": "string",
        "stripeId": "string",
        "displayName": "VAT",
        "default": true,
        "active": true,
        "inclusive": true,
        "percentage": 0,
        "createdAt": "2019-08-24T14:15:22Z",
        "updatedAt": "2019-08-24T14:15:22Z"
      }
    ],
    "stripeTaxCalculationId": "string",
    "stripeTaxTransactionId": "string",
    "dynamicPrice": 0,
    "fees": [
      {
        "name": "string",
        "amount": 0,
        "percentage": 0
      }
    ],
    "billing": {
      "name": "string",
      "companyName": "string",
      "email": "string",
      "billingEmail": "string",
      "phone": "string",
      "address": {
        "line1": "string",
        "line2": "string",
        "city": "string",
        "state": "string",
        "postalCode": "string",
        "country": "string"
      }
    },
    "shipping": {
      "name": "string",
      "phone": "string",
      "address": {
        "line1": "string",
        "line2": "string",
        "city": "string",
        "state": "string",
        "postalCode": "string",
        "country": "string"
      }
    },
    "fields": [
      {
        "fieldId": "string",
        "label": "string",
        "value": "string",
        "element": "checkbox",
        "type": "",
        "meta": {
          "property1": null,
          "property2": null
        },
        "reference": "string"
      }
    ],
    "coupon": {
      "id": "string",
      "label": "string",
      "code": "string",
      "amountOff": 0,
      "percentOff": 0,
      "discount": 0
    },
    "discount": {
      "minQuantity": 0,
      "maxQuantity": 0,
      "percentOff": 0,
      "amountOff": 0,
      "amount": 0
    },
    "livemode": true,
    "paymentError": "string",
    "paymentMethod": {
      "gateway": "stripe",
      "method": "string",
      "wallet": "string",
      "mode": "default",
      "brand": "string",
      "last4": "string",
      "country": "string",
      "exp_month": 0,
      "exp_year": 0,
      "expMonth": 0,
      "expYear": 0,
      "funding": "string"
    },
    "paymentOption": {
      "type": "manual",
      "name": "string",
      "description": "string",
      "instructions": "string",
      "partialAmount": 0,
      "manualType": "invoice"
    },
    "locale": "string",
    "sessionId": "string",
    "userAgent": "string",
    "screenWidth": 0,
    "visitId": "string",
    "queryParameters": {
      "property1": "string",
      "property2": "string"
    },
    "stripePaymentIntentId": "string",
    "stripeChargeId": "string",
    "upsell": true,
    "upsellPageId": "string",
    "upsellChargeId": "string",
    "upsellSubscriptionId": "string",
    "invoiceId": "string",
    "transactionIds": [
      "string"
    ],
    "lastRefundAt": "2019-08-24T14:15:22Z",
    "lastRefundReason": "string",
    "lastRefundReasonNote": "string",
    "canceledAt": "string",
    "canceledBy": "string",
    "canceledReason": "string",
    "isAbandoned": true,
    "recoveredAt": "2019-08-24T14:15:22Z",
    "abandonmentStatus": "abandoned",
    "abandonedCartEmailStatus": "pending",
    "abandonedCartEmailSentAt": "2019-08-24T14:15:22Z",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "eventTitle": "string",
    "tickets": [
      {
        "name": "string",
        "ticketTypeId": "string",
        "capacity": 0,
        "reference": "string",
        "ticketGroupId": "string",
        "ticketGroupName": "string",
        "ticketGroupCapacity": 0,
        "ticketGroupReference": "string",
        "quantity": 0,
        "price": 0,
        "originalPrice": 0,
        "pricing": "paid",
        "bookingFeeAmount": 0,
        "discount": {
          "minQuantity": 0,
          "maxQuantity": 0,
          "percentOff": 0,
          "amountOff": 0,
          "amount": 0
        }
      }
    ]
  }
}
{
  "status": "error",
  "type": "error",
  "message": "Not Found",
  "errors": [
    {
      "param": "string",
      "message": "string",
      "value": null
    }
  ],
  "property1": null,
  "property2": null
}
{
  "status": "error",
  "type": "error",
  "message": "Not Found",
  "errors": [
    {
      "param": "string",
      "message": "string",
      "value": null
    }
  ],
  "property1": null,
  "property2": null
}
{
  "status": "error",
  "type": "error",
  "message": "Not Found",
  "errors": [
    {
      "param": "string",
      "message": "string",
      "value": null
    }
  ],
  "property1": null,
  "property2": null
}
{
  "status": "error",
  "type": "error",
  "message": "Not Found",
  "errors": [
    {
      "param": "string",
      "message": "string",
      "value": null
    }
  ],
  "property1": null,
  "property2": null
}
{
  "status": "error",
  "type": "error",
  "message": "Not Found",
  "errors": [
    {
      "param": "string",
      "message": "string",
      "value": null
    }
  ],
  "property1": null,
  "property2": null
}
{
  "status": "error",
  "type": "error",
  "message": "Not Found",
  "errors": [
    {
      "param": "string",
      "message": "string",
      "value": null
    }
  ],
  "property1": null,
  "property2": null
}